Name:		python-sleekxmpp
Version:	1.0
Release:	0.7.beta2%{?dist}
Summary:	Flexible XMPP client/component/server library for Python

Group:		Development/Languages
License:	MIT
URL:		https://github.com/fritzy/SleekXMPP
Source0:	sleekxmpp-%{version}-Beta2-0.tar.gz
# wget "https://github.com/fritzy/SleekXMPP/tarball/1.0-Beta2" --no-check-certificate
# tar -xf fritzy-SleekXMPP-1.0-Beta2-0-g5bdcd9e.tar.gz
# mv fritzy-SleekXMPP-5bdcd9e sleekxmpp-1.0-Beta2-0
# tar -czf sleekxmpp-1.0-Beta2-0.tar.gz sleekxmpp-1.0-Beta2-0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python3-devel

Requires:	python-dns


%description
SleekXMPP is a flexible XMPP library for python that allows
you to create clients, components or servers for the XMPP protocol.
Plug-ins can be create to cover every current or future XEP.


%package -n python3-sleekxmpp
Summary:	Flexible XMPP client/component/server library for Python
# Requires:	python3-dns
# This is an optional dependency that only currently exist for python 2 in Fedora
# Will be uncommented once the python3 package is done

%description -n python3-sleekxmpp
SleekXMPP is a flexible XMPP library for python that allows
you to create clients, components or servers for the XMPP protocol.
Plug-ins can be create to cover every current or future XEP.


%prep
%setup -q -n sleekxmpp-%{version}-Beta2-0
rm -rf %{py3dir}
cp -a . %{py3dir}


%build
%{__python} setup.py build
pushd %{py3dir}
%{__python3} setup.py build
popd


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd


%check
%{__python} testall.py
pushd %{py3dir}
%{__python3} testall.py
popd


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{python_sitelib}/sleekxmpp/
%{python_sitelib}/sleekxmpp-*.egg-info


%files -n python3-sleekxmpp
%defattr(-,root,root,-)
%doc LICENSE README
%{python3_sitelib}/sleekxmpp/
%{python3_sitelib}/sleekxmpp-*.egg-info


%changelog
* Sat Jan 8 2011 Le Coz Florent <louizatakk@fedoraproject.org> - 1.0-0.7.beta2
- We do not need the link

* Sat Jan 8 2011 Le Coz Florent <louizatakk@fedoraproject.org> - 1.0-0.6.beta2
- Fixe source0 again

* Mon Nov 15 2010 Le Coz Florent <louizatakk@fedoraproject.org> - 1.0-0.5.beta2
- Fixe source0

* Thu Nov 11 2010 Le Coz Florent <louizatakk@fedoraproject.org> - 1.0-0.4.beta2
- Fixed some issues reported in review (rhbz 651227)

* Wed Nov 10 2010 Le Coz Florent <louizatakk@fedoraproject.org> - 1.0-0.3.beta2
- Added the execution of tests
- Use a better way to build the python3 subpackage

* Tue Oct 26 2010 Le Coz Florent <louizatakk@fedoraproject.org> - 1.0-0.2.beta2
- Update sources to beta2

* Fri Oct 22 2010 Le Coz Florent <louizatakk@fedoraproject.org> - 1.0-0.1.beta1
- Create .spec file from scratch
